#include "config.h"
#include "loaddata.h"


unsigned long processciscodata(struct iparoot_struct *root, FILE *fd) {
	unsigned int	i1,i2,i3,i4,i5,i6,i7,i8;
	unsigned long	ip1,ip2;
	unsigned long		bytes;
	unsigned long	lines=0;
	unsigned long long totalbytes=0;
	int				error;
	char			badline[255];

	while(1) {
		error=fscanf(fd, "%u.%u.%u.%u.%u.%u.%u.%u = %lu\n",
							&i1,&i2,&i3,&i4,&i5,&i6,&i7,&i8,
							&bytes);
		if (error == EOF) 
				break;
		if (error < 9) {
				fscanf(fd, "%s", badline);
				printf("Input error in line %lu\nContent: \"%s\"\n",lines,badline);
				return(0);
		}

		ip1=i1<<24|i2<<16|i3<<8|i4;
		ip2=i5<<24|i6<<16|i7<<8|i8;
		add_root(ip1,ip2,bytes,root);
		lines++;

		totalbytes+=bytes;
	}
	printf("Total bytes: %Lu\n",totalbytes);
	return(lines);
}
